Bug 1928941 (CVE-2021-20246) - CVE-2021-20246 ImageMagick: Division by zero in ScaleResampleFilter in MagickCore/resample.c
Summary: CVE-2021-20246 ImageMagick: Division by zero in ScaleResampleFilter in Magick...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-20246
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1929886 1929887
Blocks: 1928960 1928961
TreeView+ depends on / blocked
 
Reported: 2021-02-15 20:26 UTC by Pedro Sampaio
Modified: 2021-02-18 19:02 UTC (History)
4 users (show)

Fixed In Version: ImageMagick 6.9.11-62, ImageMagick 7.0.10-62
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick in MagickCore/resample.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-02-18 19:02:56 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-02-15 20:26:40 UTC
A flaw was found in ImageMagick in MagickCore/resample.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. This would most likely lead to an impact to application availability, but could potentially cause other problems related to undefined behavior. This flaw affects ImageMagick versions prior to 7.0.10-62.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/3195

Comment 2 Todd Cullum 2021-02-17 20:25:48 UTC
Flaw summary:

If resample_filter->support is set to 0, a divide-by-zero can occur on 2 lines of ScaleResampleFilter() in MagickCore/resample.c. Because the resample_filter is acquired from the image[1], a crafted image could potentially trigger this flaw and cause a crash, affecting application availability.

1. https://github.com/ImageMagick/ImageMagick/blob/8d25d94a363b104acd6ff23df7470aeedb806c51/MagickCore/resample.c

Comment 3 Todd Cullum 2021-02-17 20:27:59 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1929886]
Affects: fedora-all [bug 1929887]

Comment 4 Todd Cullum 2021-02-17 20:35:36 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 6 and 7. To learn more about Red Hat Enterprise Linux support scope, please see https://access.redhat.com/support/policy/updates/errata/ .

Comment 5 Product Security DevOps Team 2021-02-18 19:02:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20246


Note You need to log in before you can comment on or make changes to this bug.